Commits

Anonymous committed 2e77e4c

Stock GNU Sather 1.2.3 (without KDevelop project files)

  • Participants

Comments (0)

Files changed (1311)

+#!/bin/sh
+#------------------------->  Bourne shell - script  <-------------------------#
+#- Copyright (C) 199x by International Computer Science Institute            -#
+#- This file is part of the GNU Sather package. It is free software; you may -#
+#- redistribute  and/or modify it under the terms of the  GNU General Public -#
+#- License (GPL)  as  published  by the  Free  Software  Foundation;  either -#
+#- version 3 of the license, or (at your option) any later version.          -#
+#- This  program  is distributed  in the  hope that it will  be  useful, but -#
+#- WITHOUT ANY WARRANTY without even the implied warranty of MERCHANTABILITY -#
+#- or FITNESS FOR A PARTICULAR PURPOSE. See Doc/GPL for more details.        -#
+#- The license text is also available from:  Free Software Foundation, Inc., -#
+#- 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                     -#
+#------------->  Please email comments to <bug-sather@gnu.org>  <-------------#
+
+# This file is meant to be sourced in the PP scripts in the Library.
+# It creates the necessary library files.
+#
+# DIR defines the directory relative to pLibary in which the script is running
+# DIR=CC
+#
+#
+# CREATE_SATHER lists all files for which a saprep Sather copy has to be made
+# for the Sather libraries
+# CREATE_SATHER=""
+#
+# CREATE_NR_SATHER lists all files for which a sather copy and a non reentrant
+# copy have to be made (with saprep)
+# CREATE_NR_SATHER="" 
+#
+# CREATE_NR_PSATHER lists all files for which a non reentrant copy has to be
+# made for pSather (no files for Sather will be created)
+# CREATE_NR_PSATHER=""
+
+if [ "$DIR" = "." ]
+then
+	pp=
+else
+	pp=`echo $DIR/ | sed 's/[^/][^/]*/../g'`
+fi
+DD=`echo $pp../Library/$DIR`
+LD=`echo $pp../pLibrary/$DIR`
+BIN=`echo ${SATHER_HOME}/Bin`
+mkdir $DD 2>/dev/null
+
+if [ "$CREATE_SATHER" != "" ]
+then
+	( cd ${DD} && rm -f $CREATE_SATHER )
+	$BIN/saprep $DD $CREATE_SATHER
+fi
+
+if [ "$CREATE_NR_SATHER" != "" ]
+then
+	( cd ${DD} && rm -f $CREATE_NR_SATHER )
+	for i in $CREATE_NR_SATHER 
+	do
+		rm -f $DD/$i
+	done
+	$BIN/saprep -nrs $DD $CREATE_NR_SATHER
+fi
+
+if [ "$CREATE_NR_PSATHER" != "" ]
+then
+	for i in $CREATE_NR_PSATHER 
+	do
+		rm -f $LD/$i
+	done
+	$BIN/saprep -nr $DD $CREATE_NR_PSATHER
+fi
+
+	
+
+
+
+Installation compiler and browser binaries belong here.
+The names of the binaries have been changed:
+
+    cs -> sacomp
+    bs -> sabrowse
+    cspp -> saprep
+#!/bin/sh
+#------------------------->  Bourne shell - script  <-------------------------#
+#- Copyright (C) 199x by International Computer Science Institute            -#
+#- This file is part of the GNU Sather package. It is free software; you may -#
+#- redistribute  and/or modify it under the terms of the  GNU General Public -#
+#- License (GPL)  as  published  by the  Free  Software  Foundation;  either -#
+#- version 3 of the license, or (at your option) any later version.          -#
+#- This  program  is distributed  in the  hope that it will  be  useful, but -#
+#- WITHOUT ANY WARRANTY without even the implied warranty of MERCHANTABILITY -#
+#- or FITNESS FOR A PARTICULAR PURPOSE. See Doc/GPL for more details.        -#
+#- The license text is also available from:  Free Software Foundation, Inc., -#
+#- 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                     -#
+#------------->  Please email comments to <bug-sather@gnu.org>  <-------------#
+
+# 1) Run the browser non-interactively and generate the dump information
+# 2) Run the script to generate the html from the dumped info
+# Both depend on a correct setting of the $SATHER_HOME environment variable.
+# without a trailing slash
+#
+# Example usage: 
+# Create a new directory, say weblib
+# > cd weblib
+# > gen_html $SATHER_HOME/Browser/test.sa
+# This will generate (in time!) a htmlified version of "Hello world" 
+# (Browser/test.sa is hello world)
+# If this works, you can try it out on larger modules
+# You need to have the program dot installed for the last stage 
+# (generating graphs)
+#
+# To get dot, see
+#   http://www.research.att.com:80/orgs/ssr/book/reuse/
+# under the binary for graph visualization.
+# It is available for free, but cannot be redistributed by us (AT&T
+# wants you to agree to some terms).
+
+echo $1
+echo "******************** WARNING ****************************"
+echo "This process generates a huge number of files.  "
+echo "******************** WARNING ****************************"
+echo ""
+$SATHER_HOME/Bin/sabrowse -non_interactive $SATHER_HOME/Browser/Web/dump-pre-html-info -verbose $1
+# echo "******************** WARNING ****************************"
+# echo "Generate the caller information. "
+# echo "******************** WARNING ****************************"
+# $SATHER_HOME/Bin/sacomp -only_reachable  -show_calls all -O_no_inline -only_check $1 > gen_func_dests
+
+echo "*************************************************"
+echo "            GENERATING TOP LEVEL HTML FILE "
+echo "*************************************************"
+$SATHER_HOME/Browser/Web/gen_html_top_level
+echo "*************************************************"
+echo "            GENERATING CLASS INDEX"
+echo "*************************************************"
+$SATHER_HOME/Browser/Web/gen_html_class_index
+echo "***********************************************************************"
+
+echo "*************************************************"
+echo "            GENERATING SHORT FLAT FILES"
+echo "*************************************************"
+$SATHER_HOME/Browser/Web/gen_html_shortflat
+echo "*************************************************"
+echo "  GENERATING HTMLIFIED SATHER FILES (takes time)"
+echo "*************************************************"
+$SATHER_HOME/Browser/Web/gen_html_sa_files
+
+echo "***********************************************************************"
+echo " gr2gif: GENERATING GIFS FROM DOT FILES (slow) "
+echo "Dot must be installed for this to work. If it is not installed,"
+echo "the inheritance graphs will not be seen"
+echo "This relies on a bunch of programs (ghostscript, pnm and other stuff)"
+echo "working correctly. "
+echo "If it fails, take a look at ps2gif, which is called from gr2gif."
+echo "Replace it with any program that will translate postscript to gif"
+echo "***********************************************************************"
+echo "***********************************************************************"
+$SATHER_HOME/Browser/Web/gr2gif
+rm *ppm 
+rm *.ps
+echo ""
+#!/bin/sh
+#------------------------->  Bourne shell - script  <-------------------------#
+#- Copyright (C) 1996 by International Computer Science Institute            -#
+#- This file is part of the GNU Sather package. It is free software; you may -#
+#- redistribute  and/or modify it under the terms of the  GNU General Public -#
+#- License (GPL)  as  published  by the  Free  Software  Foundation;  either -#
+#- version 3 of the license, or (at your option) any later version.          -#
+#- This  program  is distributed  in the  hope that it will  be  useful, but -#
+#- WITHOUT ANY WARRANTY without even the implied warranty of MERCHANTABILITY -#
+#- or FITNESS FOR A PARTICULAR PURPOSE. See Doc/GPL for more details.        -#
+#- The license text is also available from:  Free Software Foundation, Inc., -#
+#- 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                     -#
+#------------->  Please email comments to <bug-sather@gnu.org>  <-------------#
+
+# Our great Sather preprocessor
+# It is used to simplify the writing of 
+# classes that are thread safe in pSather and can be used in
+# sather too.
+#
+# Version 1 by Claudio Fleiner
+################################################################################################
+
+make_nr=0
+make_sather=1
+
+if [ $# -eq 0 ]
+then
+	echo "USAGE: $0 file.pp ..."
+	exit 1
+fi
+
+while [ "$1" = "-nr" -o "$1" = "-nrs" ]
+do
+	if [ "$1" = "-nr" ] 
+	then
+	 	make_sather=0
+		make_nr=1
+	elif [ "$1" = "-nrs" ]
+	then	
+		make_nr=1
+	fi
+	shift
+done
+
+dir=$1
+shift
+if [ ! -d "$dir" ] 
+then
+	echo "$0: directory $dir does not exist"
+	echo "usage $0 [-nr] -[nrs] dir file [files ...]"
+	exit 1
+fi
+
+for i do
+
+	if [ -r "$i" ] 
+	then
+		d=`dirname $i`
+		f=`basename $i`
+
+		if [ $make_nr = 1 ]
+		then
+			sed -e '1,/^[ 	]*$/s/^[ 	]*$/--!!! THIS FILE HAS BEEN CREATED FROM '$i', DO NOT EDIT IT !!!/' \
+			    -e 's/^\([ 	]*\)[^ 	].*--NR: */\1/' 	\
+			    -e 's/^\([ 	]*\)--NR:/\1      /' 	\
+			    -e 's/^[ 	]*lock visitor then.*//'		\
+			    -e 's/^[ 	]*lock mutator then.*//'		\
+			    -e 's/end;*[ 	]*-- lock visitor.*//'		\
+			    -e 's/end;*[ 	]*-- lock mutator.*//'		\
+			    -e 's/include VISITOR_MUTATOR;*//'		\
+			    -e 's/[^ 	]*init_visitor_mutator;*//'	\
+				< $i > $d/nr_$f
+		fi
+		if [ $make_sather = 1 ]
+		then
+			sed -e '1,/^[ 	]*$/s/^[ 	]*$/--!!! THIS FILE HAS BEEN CREATED FROM '$i', DO NOT EDIT IT !!!/' \
+			    -e 's/^\([ 	]*\)[^ 	].*--S: */\1/' 	\
+			    -e 's/^\([ 	]*\)--S:/\1      /' 	\
+			    -e 's/^[ 	]*lock.*then//'		\
+			    -e 's/end;*[ 	]*-- lock.*//'		\
+			    -e 's/include VISITOR_MUTATOR;*//'		\
+			    -e 's/[^ 	]*init_visitor_mutator;*//'	\
+				< $i > $dir/$f
+		 	if [ $make_nr = 1 ]
+			then
+				sed -e 's/^\([ 	]*\)[^ 	].*--S: */\1/' 	\
+				    -e 's/^\([ 	]*\)--S:/\1      /' 	\
+				    -e 's/^[ 	]*lock.*then//'		\
+				    -e 's/end;*[ 	]*-- lock//'	\
+					< $d/nr_$f > $dir/nr_$f
+			fi
+		fi
+	else
+		echo "$0: file $i is missing or read protected"
+		echo "usage $0 [-nr] -[nrs] dir file [files ...]"
+	fi
+done
+
+

Boot/sacomp.code/COMPILE_OPTIONS

+SHOME  =../..
+CFLAGS = -I.  -O2  -I../System/Common
+CC     =gcc 
+HDR    =sather.h tags.h
+

Boot/sacomp.code/Makefile

+SHOME  =../..
+CFLAGS = -I.  -O2  -I../System/Common
+CC     =gcc 
+HDR    =sather.h tags.h
+LIBS   = -lgc -lm
+CS     =sacomp
+OBJ    = a_stackA_STACK2014955575.o am_outAM_OUT1363671444.o am_outAM_OUT1363671444x.o arefFSETAM_ROU1518004496.o arefFSETIMMUTA2116029667.o arefFSETTUPSIG268064465.o arrayARRAYAM_I1084914261.o arrayARRAYTUPI1927875024.o as_outAS_OUT1429002792.o as_outAS_OUT1429002792x.o cgenCGEN1354269066.o cgenCGEN1354269066x.o cgenCGEN1354269066xx.o cgenCGEN1354269066xxx.o cgenCGEN1354269066xxxx.o cgenCGEN1354269066xxxxx.o cgenCGEN1354269066xxxxxx.o cgenCGEN1354269066xxxxxxx.o cgenCGEN1354269066xxxxxxxx.o cgenCGEN1354269066xxxxxxxxx.o cgenCGEN1354269066xxxxxxxxxx.o code_fileCODE_372141741.o configCONFIG_R422014871.o cs_optionsCS_O301318552.o cs_optionsCS_O301318552x.o cursorAM_CURSO1314676474.o cursorAM_CURSO1314676474x.o cursorAM_CURSO1314676474xx.o cursorAM_CURSO1314676474xxx.o dispatch.o eltELT742463773.o elt_algELT_ALG1548486913.o elt_algELT_ALG241706736.o elt_algELT_ALG433952755.o elt_algELT_ALG656599769.o elt_algELT_ALG987448979.o flistFLISTAM_C1171004157.o flistFLISTTUPA253333040.o fmapFMAPAM_ROU1000508936.o fmapFMAPSTRFSE258056667.o fmapFMAPdTPCOD1051074108.o generate_amGEN60284023.o get_optionsCOD183550016.o globals.o get_optionsCOD183550016x.o implIMPL_CREAT99472218.o inlineINLINE_I1557365391.o intiINTI1462257232.o layoutCLASS_LA1330944056.o mangleMANGLE1705139666.o mangleNAMESPAC760510184.o o_localOPT_LOC907909712.o o_localOPT_LOC907909712x.o optimizeOPT_CO1177876774.o optimizeOPT_IT1193060919.o parsePARSER311504339.o parsePARSER311504339x.o parsePARSER311504339xx.o parsePARSER311504339xxx.o parsePARSER311504339xxxx.o progPROG_AS_TB824135997.o scanSCANNER1990933774.o side_effectSE_411721069.o strings.o stringsx.o stringsxx.o system.o stmtAM_FORK_ST1674905658.o tpTP_BUILTIN1142074570.o tpTP_ITER145455607.o transTRANS2123847391.o transTRANS2123847391x.o transTRANS2123847391xx.o transTRANS2123847391xxx.o transTRANS2123847391xxxx.o tupTUPAM_CURSO1313579705.o unbox.o unixUNIX1766692.o runtime.o
+OTHER  =
+
+
+../$(CS): LINK_OPTIONS $(OBJ) $(HDR)
+	$(CC) $(CFLAGS) -o ../$(CS) $(OBJ) $(OTHER) $(LIBS)
+
+$(OBJ): COMPILE_OPTIONS $(HDR)
+
+runtime.o: ../../System/Common/runtime.c COMPILE_OPTIONS $(HDR)
+	$(CC) $(CFLAGS) -c ../../System/Common/runtime.c
+

Boot/sacomp.code/THUMBPRINTS

+COMPILE_OPTIONS 89:-316292659:187954
+LINK_OPTIONS 2111:700560364:3645809
+Makefile 2290:-1135138316:2832015
+a_stackA_STACK2014955575.c 3212:654881816:1026335
+am_outAM_OUT1363671444.c 176445:-1141797757:3607612
+am_outAM_OUT1363671444x.c 166026:74407531:3003106
+arefFSETAM_ROU1518004496.c 163671:1621931661:409572
+arefFSETIMMUTA2116029667.c 170835:-1149144360:1786541
+arefFSETTUPSIG268064465.c 190929:191097931:1000545
+arrayARRAYAM_I1084914261.c 191552:179489240:1299015
+arrayARRAYTUPI1927875024.c 118428:813218530:835156
+as_outAS_OUT1429002792.c 169213:2136118039:1104319
+as_outAS_OUT1429002792x.c 163130:-1330255083:1487980
+cgenCGEN1354269066.c 219949:-147485516:1586940
+cgenCGEN1354269066x.c 236060:-1108994855:2443230
+cgenCGEN1354269066xx.c 210712:-407683683:3750985
+cgenCGEN1354269066xxx.c 179038:-1806272357:1865447
+cgenCGEN1354269066xxxx.c 188519:1417643035:952771
+cgenCGEN1354269066xxxxx.c 180783:1245485991:1807161
+cgenCGEN1354269066xxxxxx.c 188256:172390093:540810
+cgenCGEN1354269066xxxxxxx.c 192918:-1777490255:1352835
+cgenCGEN1354269066xxxxxxxx.c 173826:-999714511:2004699
+cgenCGEN1354269066xxxxxxxxx.c 268797:-1936995014:2590818
+cgenCGEN1354269066xxxxxxxxxx.c 101245:-345465806:1068171
+code_fileCODE_372141741.c 193696:-1951784942:4140806
+configCONFIG_R422014871.c 166522:1441992268:673467
+cs_optionsCS_O301318552.c 190170:1351272663:1736856
+cs_optionsCS_O301318552x.c 85531:-104549285:1330188
+cursorAM_CURSO1314676474.c 173386:-1788084147:2277097
+cursorAM_CURSO1314676474x.c 178045:1677523516:2711139
+cursorAM_CURSO1314676474xx.c 176618:-1767161280:2085546
+cursorAM_CURSO1314676474xxx.c 71064:-642142515:1845424
+dispatch.c 833893:-260834842:3076371
+eltELT742463773.c 163841:20479520:838499
+elt_algELT_ALG1548486913.c 164791:17047248:486010
+elt_algELT_ALG241706736.c 163403:2072134002:114383
+elt_algELT_ALG433952755.c 155350:-840662917:2350404
+elt_algELT_ALG656599769.c 157765:-1080054969:3591088
+elt_algELT_ALG987448979.c 198413:862922678:2080049
+flistFLISTAM_C1171004157.c 205865:1642025873:3583461